Subject: [ANNOUNCE] Term 2.1 released
From: "Bill C. Riemers" <[email-masked]>
Date: Mon, 19 Sep 1994 14:22:01 GMT
Newsgroups: comp.os.linux.announce

ANNOUNCING Term 2.1

WHAT IS TERM?

  "term" is a program written by Michael O'Reilly which simulates many
  SLIP like features through an ordinary user's account.  At this time
  Michael is quite busy and doesn't have time to work on "term" or to 
  answer your questions, so please direct questions to me: 

    [email-masked] (Bill C. Riemers)

  I'm currently running my mail handler on this account as well so if you
  don't want an automatic reply, use a subject starting with the word "private".

WHERE IS TERM?

  Term will be available at:

    physics.purdue.edu:/pub/bcr/term/
    sunsite.unc.edu:/pub/Linux/apps/comm/term/term/

  Also, you can find any patches to this version people send me at:

    physics.purdue.edu:/pub/bcr/term/patches

  Feel free to mirror these directories on other sites.

WHAT OTHER VERSIONS OF TERM ARE AVAILABLE?

        term110.tar.gz          --> Can't really say
        term111.tar.gz          --> Can't really say
        term112.tar.gz          --> Can't really say
        term113.tar.gz          --> Can't really say
        term114.tar.gz          --> fairly stable BETA version
        term115.tar.gz          --> unstable BETA version
        term116.tar.gz          --> unstable BETA version
        term117.tar.gz          --> unstable BETA version
        term118.tar.gz          --> semi-stable BETA version
        term119.tar.gz          --> stable GAMMA version
        term-2.0.X.tar.gz       --> semi-stable BETA versions
        term-2.1.X.tar.gz       --> New BETA versions

ANNOUNCING TERM 2.1

This release is considered BETA.  BETA does not mean I think it is full of
dangerous bugs, but rather it means I can still count the number of people
who have tested it on my fingers and my toes.

IS TERM 2.1 COMPATIBLE WITH OLDER TERM VERSIONS?

  Yes, but the reverse is not necessarily true.  If you compile
  a program with 2.1 it might not work with 2.0.

WHAT ARE PATCH LEVELS?

  These are my way of building-up a BETA release into a GAMMA release.
  As people report bugs, and fixes are found I generate patches to the
  current BETA version to improve its stability.  When I've gone a
  reasonably long time without any more bug reports, or the only bug
  people have been reporting for a long time gets fixed I may bump
  it up to GAMMA.

WHERE CAN I FIND TERM BINARIES AND APPLICATION SOURCES?

  You can find lots of stuff for old style term support at:
    sunsite.unc.edu:/pub/Linux/apps/comm/termstuff/
    sunsite.unc.edu:/pub/Linux/apps/comm/term/term/extra/

  Since the new-style term support, normally does not require patches to
  the source code, I've just been putting binaries at:

    bohr.physics.purdue.edu:/pub/bcr/term/extra

  - If you are using shared mode, you may need to set "TERMSHARE" to your
  shared directory for these to work.

  NOTE: I haven't updated some of these binaries since term 1.17.0, so if there
  are problems let me know and I'll update to a newer version.

NOTE ABOUT ALPHA VERSIONS:

  Alpha versions are made, public, but if you mirror or copy these to other
  sites, please clearly label them as ALPHA versions.  Also, I don't promise
  that future term versions will support anything compiled with an ALPHA 
  version.  So you should only use ALPHA versions if you want to help test
  that features will work in the next BETA release.

WHAT'S NEW WITH "term 2.1"?

   - tupload will now copy date-time stamps and file permissions.

   - tdownload -->>> new (similar to tupload)

   - Smaller foot print for static binaries.  The next best thing for 
     systems that don't support dynamic shared libraries.  This reduces
     my TitanOS disk space usage by a factor of 5.

   - Improvement to priorities to help improve interactive response
     under heavy loads.  (It is still lousy, but a little better than before.)

   - Misc. bug fixes and minor performance enhancements.

WHAT OS'S ARE CURRENTLY SUPPORTED?

	    IBM AIX
	    BSDi
	    C220 ConvexOS 11.0
	    Dynix/PTX
	    HCX/UX 5.1
	    HP/UX
            Irix
            ISC (SVR3.2 clone)
            Linux 1.0, 1.1
	    MachTen
	    MIPS
            NetBSD
            NeXT 2.1, 3.0
	    OSF/1
            SCO Unix
	    SGI
            Solaris 2.x aka SunOS 5.x
	    Solaris 1.x aka SunOS 4.x
	    SVR4
            Titan/OS
	    Ultrix 4.x
      Others are being added constantly, as people send me the needed patches.

What is expected for term 2.2 ?

   - The ability to support "inetd" daemons without messy tredir and 
     tupdredir commands.
   - For Linux only: A dropin libc.so.4 replacement so you don't have
     to recompile programs for term support.  (I'm trying to find people
     to help me test this for linuxxdoom support.)
   - Improved tupload/tdownload auto-resume reliability.

Have fun,

                           Bill 

--
[email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.